Mail archive
alpine-devel

[alpine-devel] [PATCH] main/backuppc: Added initd script, small fixes and cleaned up

From: k0r10n <k0r10n.dev_at_gmail.com>
Date: Wed, 26 Nov 2014 09:01:05 +0400

---
 main/backuppc/APKBUILD              | 38 ++++++++++++++++++++++++-------------
 main/backuppc/backuppc.initd        |  4 ++++
 main/backuppc/backuppc.post-install |  4 ++--
 main/backuppc/configure.pl.patch    |  4 ++--
 4 files changed, 33 insertions(+), 17 deletions(-)
diff --git a/main/backuppc/APKBUILD b/main/backuppc/APKBUILD
index 08f8206..9c6d823 100644
--- a/main/backuppc/APKBUILD
+++ b/main/backuppc/APKBUILD
_at_@ -4,25 +4,31 @@ pkgname="backuppc"
 _realname="BackupPC"
 pkgver=3.3.0
 _realver=$pkgver
-pkgrel=1
+pkgrel=2
 pkgdesc="High-performance, enterprise-grade backup system"
 url="http://backuppc.sourceforge.net/"
 arch="noarch"
 license="GPL2+"
 depends="perl busybox rsync perl-archive-zip perl-io-compress 
-	perl-libwww perl-file-rsync"
+	perl-libwww perl-file-rsync samba-client"
 makedepends=""
 install="$pkgname.pre-install $pkgname.post-install"
 subpackages=""
 source="http://downloads.sourceforge.net/project/$pkgname/$pkgname/$_realver/$_realname-$_realver.tar.gz
-	configure.pl.patch"
+	configure.pl.patch
+	backuppc.initd
+	"
 
 _builddir="$srcdir/$_realname-$_realver"
-prepare () {
+prepare() {
 	cd "$_builddir"
-	mkdir -p "$pkgdir"/etc/BackupPC
-	mkdir -p "$pkgdir"/var/www/cgi-bin
-	patch -p2 < ../../configure.pl.patch
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+	mkdir -p "$pkgdir"/etc/BackupPC \
+		 "$pkgdir"/var/www/cgi-bin || return 1
 }
 
 build() {
_at_@ -43,7 +49,7 @@ package() {
 	 --bin-path perl=/usr/bin/perl \
 	 --bin-path ping=/bin/ping \
 	 --bin-path rsync=/usr/bin/rsync \
-	 --bin-path sendmail=/usr/bin/sendmail \
+	 --bin-path sendmail=/usr/sbin/sendmail \
 	 --bin-path smbclient=/usr/bin/smbclient \
 	 --bin-path split=/usr/bin/split \
 	 --bin-path ssh=/usr/bin/ssh \
_at_@ -54,21 +60,27 @@ package() {
 	 --data-dir /var/lib/BackupPC \
 	 --hostname backuppc \
 	 --html-dir /var/www/htdocs/BackupPC \
-	 --html-dir-url /BackupPC \
+	 --html-dir-url / \
 	 --install-dir /usr/lib/BackupPC \
 	 --log-dir /var/log/BackupPC \
 	 --uid-ignore \
 	 --no-set-perms || return 1
 
-	install -m755 configure.pl "$pkgdir"/usr/lib/BackupPC/bin/configure.pl
+	install -m755 configure.pl \
+		"$pkgdir"/usr/lib/BackupPC/bin/configure.pl || return 1
+	install -D -m755 "$srcdir"/backuppc.initd \
+		"$pkgdir"/etc/init.d/backuppc || return 1
 
 	chmod 774 "$pkgdir"/usr/lib/BackupPC/bin/*
 
 }
 
 md5sums="2942a31daeec7c7bb227d843b7846f38  BackupPC-3.3.0.tar.gz
-f57ad7fdcce804f20f2fe82bee91e813  configure.pl.patch"
+b510534ce183b2fbbf635cc8224f92f2  configure.pl.patch
+5f27ed84a9ca11cba0bb5665faddca4b  backuppc.initd"
 sha256sums="8a9c1b6faa4502b4c40617be97e806813815d9e22544854d99983c3da7c1f69b  BackupPC-3.3.0.tar.gz
-f07039e6bf25fc19bc0bc894d6dd6ff0348612a95a24e68b181da94b9f5ddd0c  configure.pl.patch"
+341a77e0d49a66765799bc3081f0f3e52318886e3ab8a044dc4a68cd2d36973e  configure.pl.patch
+ae3c6080c1ff4f5a42efbe533b20f02b9770e21f0e36c66879576683fcdda6b1  backuppc.initd"
 sha512sums="67ec1ca4d22ab1e81f9c0f409c758347a6c772e3d1aa39c93207f9d328176ac7b4e679d0b03972fc5870c37dde0480d28c61ae19975d54e144235ea0e84e9901  BackupPC-3.3.0.tar.gz
-7ea98de0960cd0ea4f64e71c61e4565a73db2fd872d2f102dc08543ad60eb1cf986b9c0a32b7b4694dc9a8ffe2cd6bd7ca3ff2cc0b4d91961952664b62881faf  configure.pl.patch"
+85542700fb2fc41eb0ae09af488e0ba5f9d1b5f36198636ecaa724303204f27aa60918010503b746fd56e0be06c01e176a3cb6b85a7e962e73170052a0cd8e86  configure.pl.patch
+96583fa711e1a92979d6ad60936d430e0b2b8138b8923d3727e86310ed73b93ae25306294c230c9e7a4560379b58c6ecccf37591d3fe5f920e29b0c7525b488b  backuppc.initd"
diff --git a/main/backuppc/backuppc.initd b/main/backuppc/backuppc.initd
index 850e6ae..ac1f36a 100644
--- a/main/backuppc/backuppc.initd
+++ b/main/backuppc/backuppc.initd
_at_@ -1,4 +1,8 @@
 #!/sbin/runscript
+BACKUPPC_BINDIR=/usr/lib/BackupPC/bin
+DAEMON=BackupPC
+BACKUPPC_LOGDIR=/var/log/BackupPC
+USER=backuppc
 
 depend() {
 	after firewall modules
diff --git a/main/backuppc/backuppc.post-install b/main/backuppc/backuppc.post-install
index f4b5a58..ba58696 100644
--- a/main/backuppc/backuppc.post-install
+++ b/main/backuppc/backuppc.post-install
_at_@ -1,7 +1,7 @@
 #!/bin/sh
-for dir in /etc /var/log /var/lib
+for dir in /etc /var/log /var/lib /usr/lib
 do
   chown -R backuppc.backuppc ${dir}/BackupPC &>/dev/null
 done
 
-ln -s /var/www/htdocs/BackupPC/index.cgi /var/www/cgi-bin/BackupPC_Admin &>/dev/null
+ln -s /var/www/cgi-bin/BackupPC_Admin /var/www/htdocs/BackupPC/index.cgi &>/dev/null
diff --git a/main/backuppc/configure.pl.patch b/main/backuppc/configure.pl.patch
index 24d5e3b..d8850fd 100644
--- a/main/backuppc/configure.pl.patch
+++ b/main/backuppc/configure.pl.patch
_at_@ -1,5 +1,5 @@
---- src/BackupPC-3.2.0beta1/configure.pl
-+++ configure.pl
+--- a/configure.pl
++++ b/configure.pl
 _at_@ -327,25 +327,8 @@
  
  EOF
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Nov 26 2014 - 09:01:05 GMT